Displaying 2 results from an estimated 2 matches for "l_tmp_id_fil".
Did you mean:
l_tmp_id_file
2016 Mar 12
3
Problem with ssh-copy-id when home folder contains spaces
...8b1..bef5c95 100755
--- a/usr/bin/ssh-copy-id.old
+++ b/usr/bin/ssh-copy-id
@@ -233,17 +233,17 @@ populate_new_ids() {
-o ControlPath=none \
-o LogLevel=INFO \
-o PreferredAuthentications=publickey \
- -o IdentitiesOnly=yes "$@" exit 2>$L_TMP_ID_FILE.stderr </dev/null
+ -o IdentitiesOnly=yes "$@" exit 2>"$L_TMP_ID_FILE.stderr" </dev/null
if [ "$?" = "$L_SUCCESS" ] ; then
- : > $L_TMP_ID_FILE
+ : > "$L_TMP_ID_FILE"
else
- gre...
2013 May 15
14
[Bug 2105] New: ssh-copy-id leads to rm -f * (local vs. dash)
...at mindrot.org
Reporter: cjwatson at debian.org
Cyril Brulebois filed this bug in Debian:
"""
ssh-copy-id uses "local" while pretending to be POSIX compliant
(/bin/sh
as a shebang). Unfortunately, lack of error handling meands that this
isn't caught:
local L_TMP_ID_FILE=$(mktemp ~/.ssh/ssh-copy-id_id.XXXXXXXXXX)
trap "rm -f $L_TMP_ID_FILE*" EXIT TERM INT QUIT
mktemp succeeds but dash doesn't like local:
| $ dash
| $ local foo=bar
| dash: 1: local: not in a function
| $ echo $foo
|
| $
Which leads to:
rm -f *
=> Nasty!
Traced back to 1:6.2...